LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XTextTablesSupplier Interface Referencepublished

enables the object to handle text tables. More...

`import"XTextTablesSupplier.idl";`

Inheritance diagram for XTextTablesSupplier:

## Public Member Functions
com::sun::star::container::XNameAccess | getTextTables ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

enables the object to handle text tables.

## Member Function Documentation

## ◆ getTextTables()

com::sun::star::container::XNameAccess getTextTables | ( |  | ) |

Returns
  the collection of "TextTables" currently contained in the object.

See also
  com::sun::star::text::TextTables
  com::sun::star::text::TextTable

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextTablesSupplier.idl